Gecode::SharedData< Data > Class Template Reference

Class for sharing data between spaces. More...

`#include <shared-data.hpp>`

## Classes

class | SDO
| The object storing the actual data. More...

## Public Member Functions

| SharedData (const Data &d)
| Initialize with data d.
| SharedData (void)
| Create as uninitialized.
| SharedData (const SharedData &sd)
| Copy constructor.
SharedData & | operator= (const SharedData &sd)
| Assignment operator.
const Data & | operator() (void) const
| Provide access to data.
| ~SharedData (void)
| Destructors.
Public Member Functions inherited from Gecode::SharedHandle
| SharedHandle (void)
| Create shared handle with no object pointing to.
| SharedHandle (SharedHandle::Object *so)
| Create shared handle that points to shared object so.
| SharedHandle (const SharedHandle &sh)
| Copy constructor maintaining reference count.
SharedHandle & | operator= (const SharedHandle &sh)
| Assignment operator maintaining reference count.
| ~SharedHandle (void)
| Destructor that maintains reference count.
| operator bool (void) const
| Whether handle points to an object.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::SharedHandle
SharedHandle::Object * | object (void) const
| Access to the shared object.
void | object (SharedHandle::Object *n)
| Modify shared object.

## Detailed Description

template<class Data>
class Gecode::SharedData< Data >

Class for sharing data between spaces.

Definition at line 38 of file shared-data.hpp.

## Constructor & Destructor Documentation

## SharedData() [1/3]

template<class Data>

Gecode::SharedData< Data >::SharedData | ( | const Data & | d | ) |

inline

Initialize with data d.

Definition at line 78 of file shared-data.hpp.

## SharedData() [2/3]

template<class Data>

Gecode::SharedData< Data >::SharedData | ( | void |  | ) |

inline

Create as uninitialized.

Definition at line 83 of file shared-data.hpp.

## SharedData() [3/3]

template<class Data>

Gecode::SharedData< Data >::SharedData | ( | const SharedData< Data > & | sd | ) |

inline

Copy constructor.

Definition at line 87 of file shared-data.hpp.

## ~SharedData()

template<class Data>

Gecode::SharedData< Data >::~SharedData | ( | void |  | ) |

inline

Destructors.

Definition at line 104 of file shared-data.hpp.

## Member Function Documentation

## operator=()

template<class Data>

SharedData< Data > & Gecode::SharedData< Data >::operator= | ( | const SharedData< Data > & | sd | ) |

inline

Assignment operator.

Definition at line 92 of file shared-data.hpp.

## operator()()

template<class Data>

const Data & Gecode::SharedData< Data >::operator() | ( | void |  | ) | const

inline

Provide access to data.

Definition at line 98 of file shared-data.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/data/shared-data.hpp